## org.hibernate.hql
Class QuerySplitter

    java.lang.Object
      org.hibernate.hql.QuerySplitter

    public final class QuerySplitter

extends Object

Provides query splitting methods, which were originally in QueryTranslator.
TODO: This will need to be refactored at some point.

Author:
  josh

Method Summary
`static String[]` `concreteQueries(String query, SessionFactoryImplementor factory)` Handle Hibernate "implicit" polymorphism, by translating the query string into several "concrete" queries against mapped classes.
`static String` `getImportedClass(String name, SessionFactoryImplementor factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### concreteQueries

    public static String[] concreteQueries(String query,
                                           SessionFactoryImplementor factory)
                                    throws MappingException

  Handle Hibernate "implicit" polymorphism, by translating the query string into several "concrete" queries against mapped classes.

  Throws:
    `MappingException`

### getImportedClass

    public static String getImportedClass(String name,
                                          SessionFactoryImplementor factory)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.